Qt 5.9 | Qt Sensors | C++ Classes | QPressureSensor

Qt 5.9.9 Reference Documentation

# QPressureSensor Class

The QPressureSensor class is a convenience wrapper around QSensor. More...

Header: | #include <QPressureSensor>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensor

- List of all members, including inherited members

## Public Functions

| QPressureSensor(QObject *parent = Q_NULLPTR)
| ~QPressureSensor()
QPressureReading * | reading() const

- 37 public functions inherited from QSensor

### Additional Inherited Members

- 20 properties inherited from QSensor
- 2 public slots inherited from QSensor
- 14 signals inherited from QSensor
- 3 static public members inherited from QSensor

## Detailed Description

The QPressureSensor class is a convenience wrapper around QSensor.

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QPressureReading instead of a QSensorReading.

For details about how the sensor works, see QPressureReading.

See also QPressureReading.

## Member Function Documentation

### QPressureSensor::QPressureSensor(QObject *parent = Q_NULLPTR)

Construct the sensor as a child of parent.

### QPressureSensor::~QPressureSensor()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QPressureReading *QPressureSensor::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().